import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { ClassConstructor } from 'class-transformer-global-storage';
import { DeepPartial, DynamicFormBuilderOptions, DynamicFormGroup, IDynamicControlMetadata } from './types/types';
export declare function createFormControls<T = Record<string, unknown>>({ classType, formBuilder, form, rootFormGroup, metadata, defaultValue, dynamicFormBuilderOptions, }: {
    classType: ClassConstructor<T> | null;
    formBuilder: UntypedFormBuilder;
    form?: UntypedFormGroup;
    rootFormGroup?: DynamicFormGroup<any>;
    metadata?: IDynamicControlMetadata;
    defaultValue: DeepPartial<T>;
    dynamicFormBuilderOptions?: DynamicFormBuilderOptions<T>;
}): DynamicFormGroup<T>;
export declare function setValuesForControls<T = Record<string, unknown>>(formBuilder: UntypedFormBuilder, form: DynamicFormGroup<T>, value: T): void;
export declare function setValidatorsToControls<T>(formBuilder: UntypedFormBuilder, form: DynamicFormGroup<T>, rootFormGroup?: DynamicFormGroup<T>): void;
export declare function validateAllFormFields(form: UntypedFormGroup): void;
